GET
https://dev.yimmit.com/api/v3/liquidity/public/:market/order-bookGet Order Book
GET api/v3/liquidity/public/:market/order-book
Get the order book of specified market.
Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| market | STRING | YES | Market pair code (e.g., btcusdt, ethbtc) |
| asks_limit | INTEGER | NO | Limit the number of returned sell orders. Default to 20. |
| bids_limit | INTEGER | NO | Limit the number of returned buy orders. Default to 20. |
Responses
- 200 Successful response
{
"asks": [
{
"id": 1001,
"side": "sell",
"ord_type": "limit",
"stop_loss_type": "stop_loss_limit",
"stop_price": null,
"stop_loss_status": "done",
"price": "30500.00",
"avg_price": "30500.00",
"state": "wait",
"market": "btcusdt",
"maker_fee": "0.001",
"created_at": "2026-02-20T15:30:00Z",
"updated_at": "2026-02-20T15:30:00Z",
"origin_volume": "2.00000000",
"remaining_volume": "2.00000000",
"executed_volume": "0.00000000",
"amount_precision": 8,
"quote_currency": "USDT",
"price_precision": 2,
"trades_count": 0,
"bid": "BTC",
"ask": "USDT",
"total_fee": "0.00"
}
],
"bids": [
{
"id": 2001,
"side": "buy",
"ord_type": "limit",
"stop_loss_type": null,
"stop_price": null,
"stop_loss_status": null,
"price": "30450.00",
"avg_price": "30450.00",
"state": "wait",
"market": "btcusdt",
"maker_fee": "0.001",
"created_at": "2026-02-20T15:31:00Z",
"updated_at": "2026-02-20T15:31:00Z",
"origin_volume": "1.50000000",
"remaining_volume": "1.50000000",
"executed_volume": "0.00000000",
"amount_precision": 8,
"quote_currency": "USDT",
"price_precision": 2,
"trades_count": 0,
"bid": "BTC",
"ask": "USDT",
"total_fee": "0.00"
}
]
}